# Microsoft-Windows-Subsystem-Linux (WSL)

Follow the steps at https://docs.microsoft.com/en-us/windows/wsl/install-win10 to
1. *Install the Windows Subsystem for Linux*
2. Install Ubuntu during *Install your Linux Distribution of Choice*
  - Section *Fall Creators Update and later: Install from the Microsoft Store*

From the start menu you can now launch Ubuntu and get a bash with many useful tools like:

- ssh
- scp
- rsync
- git
- tmux
- vim

You can also install additional software inside the WSL using apt. GUI Applications require more work and are not covered here (Google for 'XMing and WSL').

## apt commands

```
sudo apt update # update the list of packages and package versions
sudo apt full-upgrade # upgrade all packages to the latest avaialbe version
sudo apt install htop # installs htop to monitor processes
```

